package de.flothow.prog3.echoserver;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.Socket;

public class EchoThread extends Thread {
	Socket sock;

	/**
	 * 
	 * @param sock
	 */
	public EchoThread(Socket sock) {
		this.sock = sock;
	}

	@Override
	public void run() {
		try {
			BufferedReader netIn = new BufferedReader(new InputStreamReader(
					sock.getInputStream()));
			BufferedWriter netOut = new BufferedWriter(new OutputStreamWriter(
					sock.getOutputStream()));
			String line;
			while ((line = netIn.readLine()) != null) {
				netOut.write(line + "\n");
				netOut.flush();
			}
			
			sock.shutdownInput();
			sock.shutdownOutput();
			sock.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
